TextFieldFloat.DecimalNumberDocument (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui.form
Class TextFieldFloat.DecimalNumberDocument

    java.lang.Object
      |
      +--javax.swing.text.AbstractDocument
            |
            +--javax.swing.text.PlainDocument
                  |
                  +--org.emboss.jemboss.gui.form.TextFieldFloat.DecimalNumberDocument

All Implemented Interfaces:
  javax.swing.text.Document, java.io.Serializable

Enclosing class:
  TextFieldFloat

protected class TextFieldFloat.DecimalNumberDocument
extends javax.swing.text.PlainDocument

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.text.AbstractDocument
`javax.swing.text.AbstractDocument.AbstractElement, javax.swing.text.AbstractDocument.AttributeContext, javax.swing.text.AbstractDocument.BranchElement, javax.swing.text.AbstractDocument.Content, javax.swing.text.AbstractDocument.DefaultDocumentEvent, javax.swing.text.AbstractDocument.ElementEdit, javax.swing.text.AbstractDocument.LeafElement`

Field Summary

Fields inherited from class javax.swing.text.PlainDocument
`lineLimitAttribute, tabSizeAttribute`

Fields inherited from class javax.swing.text.AbstractDocument
`BAD_LOCATION, BidiElementName, ContentElementName, ElementNameAttribute, listenerList, ParagraphElementName, SectionElementName`

Fields inherited from interface javax.swing.text.Document
`StreamDescriptionProperty, TitleProperty`

Constructor Summary
`protected` | `TextFieldFloat.DecimalNumberDocument()`

Method Summary
`void` | `insertString(int offs, java.lang.String str, javax.swing.text.AttributeSet a)`

Methods inherited from class javax.swing.text.PlainDocument
`createDefaultRoot, getDefaultRootElement, getParagraphElement, insertUpdate, removeUpdate`

Methods inherited from class javax.swing.text.AbstractDocument
`addDocumentListener, addUndoableEditListener, createBranchElement, createLeafElement, createPosition, dump, fireChangedUpdate, fireInsertUpdate, fireRemoveUpdate, fireUndoableEditUpdate, getAsynchronousLoadPriority, getAttributeContext, getBidiRootElement, getContent, getCurrentWriter, getDocumentFilter, getDocumentListeners, getDocumentProperties, getEndPosition, getLength, getListeners, getProperty, getRootElements, getStartPosition, getText, getText, getUndoableEditListeners, postRemoveUpdate, putProperty, readLock, readUnlock, remove, removeDocumentListener, removeUndoableEditListener, render, replace, setAsynchronousLoadPriority, setDocumentFilter, setDocumentProperties, writeLock, writeUnlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextFieldFloat.DecimalNumberDocument

    protected TextFieldFloat.DecimalNumberDocument()

Method Detail

### insertString

    public void insertString(int offs,
                             java.lang.String str,
                             javax.swing.text.AttributeSet a)
                      throws javax.swing.text.BadLocationException

  Specified by:
    `insertString` in interface `javax.swing.text.Document`
  Overrides:
    `insertString` in class `javax.swing.text.PlainDocument`
    `javax.swing.text.BadLocationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD